<!DOCTYPE html>
<html>
    <head>
    </head>
        <body style="text-align: center;">
            <h1>Employee Attendance Details</h1>
            <table id="etable" border="2" style="margin-left: auto;margin-right: auto;">
                <tr id="myRow">
                    <th>Employee Name</th>
                    <th>Employee ID</th>
					<th>Month</th>
					<th>Days</th>
                    <th>Week</th>
					<th>Day1</th>
					<th> Day2</th>
					<th> Day3</th>
					<th> Day4</th>
					<th> Day5</th>
					<th> Day6</th>
					<th> Day7</th>

                </tr>
                <tr id="myRow1">
                    <th>
                    <select onchange="eidfunction(this.value)">
					<option>Select Employee</option>
					<option value="1234">Tereena</option>
					<option value="6789">Lavanya</option>
					<option value="2345">Raju Kumar</option>
					<option value="5678">Karan</option>
					<option value="9842">Shashank</option>
                    </select>
                    </th>
                    <th id="eid"></th>
					<th>
					<select onchange="months(this.value)">
					<option>Select Month</option>
					<option value="1">January</option>
					<option value="2">February</option>
					<option value="3">March</option>
					<option value="4">April</option>
					<option value="5">May</option>
					<option value="6">June</option>
					<option value="7">July</option>
					<option value="8">August</option>
					<option value="9">September</option>
					<option value="10">October</option>
					<option value="11">November</option>
					<option value="12">December</option>
		            </select>
		            </th>
					<th id="days"></th>
					<th id="week">
                    <select onchange="weektable(this.value)">
					<option>Select Week</option>
					<option value="1" >Week 1</option>
					<option value="2" >Week 2</option>
					<option value="3" >Week 3</option>
					<option value="4" >Week 4</option>
					<option value="5" >Week 5</option>
                    </select>
                    </th>
					<th>
					<select>
					<option value="1">Worked</option>
					<option value="2">Not Worked</option>
					<option value="3">Holiday</option>
					</select>
					</th>
					<th>
					<select>
					<option value="1">Worked</option>
					<option value="2">Not Worked</option>
					<option value="3">Holiday</option>
					</select>
					</th>
					<th>
					<select>
					<option value="1">Worked</option>
					<option value="2">Not Worked</option>
					<option value="3">Holiday</option>
					</select>
					</th>
					<th>
					<select>
					<option value="1">Worked</option>
					<option value="2">Not Worked</option>
					<option value="3">Holiday</option>
					</select>
					</th>
					<th>
					<select>
					<option value="1">Worked</option>
					<option value="2">Not Worked</option>
					<option value="3">Holiday</option>
					</select>
					</th>
					<th>
					<select>
					<option value="1">Worked</option>
					<option value="2">Not Worked</option>
					<option value="3">Holiday</option>
					</select>
					</th>
					<th>
					<select>
					<option value="1">Worked</option>
					<option value="2">Not Worked</option>
					<option value="3">Holiday</option>
					</select>
					</th>				
                </tr>
            </table>
			<br>
			<br>
			<button>Submit</button>
            <script>
            var emid=document.getElementById("eid");
            function eidfunction(clicked)
			{
                emid.innerHTML=clicked;
            }
			function daysInMonth(month,year)
			{
				var a=new Date(year, month, 0).getDate();
				return a;
			}
			var down = document.getElementById('days');	
            function months(clicked)
			{ 
                var date = new Date(); 
                var month = clicked; 
                var year = 2020; 
                down.innerHTML= daysInMonth(month, year); 
            }
            function weektable(week)
			{
                var row = document.getElementById("myRow");
				var row1 = document.getElementById("myRow1");
				var day=document.getElementById("days").innerHTML;
				if(week==1)
				{
					for(i=1;i<=7;i++)
					{
						row.deleteCell(-1);
					}
					for(i=1;i<=7;i++)
					{
						var x = row.insertCell(-1);
						x.innerHTML = "Day"+i;
					}
                }
				if(week==2)
				{
					for (i = 1; i <= 7; i++)
					{
						row.deleteCell(-1);
					}
					for (i = 8; i <=14; i++)
					{					
						var x = row.insertCell(-1);
						x.innerHTML = "Day"+i;
					}
                }
				if(week==3)
				{
					for (i = 1; i <= 7; i++) 
					{
						row.deleteCell(-1);
					}
					for (i = 15; i <= 21; i++) 
					{		
						var x = row.insertCell(-1);
						x.innerHTML = "Day"+i;
					}
                }
				if(week==4)
				{
					for (i =1 ; i <= 7; i++)
					{
						row.deleteCell(-1);
					}
					for (i = 22; i <= 28; i++)
					{
						var x = row.insertCell(-1);
						x.innerHTML = "Day"+i;
					}
                }
				if(week==5)
				{
					for (i = 1; i <= 7; i++) 
					{
						row.deleteCell(-1);
					}
					if(day==29)
					{
						var x = row.insertCell(-1);
						x.innerHTML = "Day29";
						for (i = 1; i <= 6; i++)
						{
							var x = row.insertCell(-1);
							x.innerHTML = "NA";
						}
					}
				else if(day==30)
				{
					for(i=29;i<=30;i++)
					{
						var x = row.insertCell(-1);
						x.innerHTML = "Day"+i;
					}
					for (i = 1; i <= 5; i++) 
					{			
						var x = row.insertCell(-1);
						x.innerHTML = "NA";
					}
				}		
				else if(day==31)
				{
					for(i=29;i<=31;i++)
					{
						var x = row.insertCell(-1);
						x.innerHTML = "Day"+i;
					}
					for (i = 1; i <= 4; i++)
					{			
						var x = row.insertCell(-1);
						x.innerHTML = "NA";
					}
				}
                }
			}			
			</script>
		<body>
</html>